Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jbi
Class JBIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jbi.JBIException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DeploymentException, MessagingException

public class JBIException
extends java.lang.Exception

JBIException is the top-level exception thrown by all JBI system components.

Author:
  JSR208 Expert Group
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`JBIException(java.lang.String aMessage)` Creates a new instance of JBIException with an exception message.
`JBIException(java.lang.String aMessage, java.lang.Throwable aCause)` Creates a new instance of JBIException with the specified message and cause.
`JBIException(java.lang.Throwable aCause)` Creates a new instance of JBIException with the specified cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JBIException

    public JBIException(java.lang.String aMessage)

  Creates a new instance of JBIException with an exception message.

Parameters:
  `aMessage` - String describing this exception.

### JBIException

    public JBIException(java.lang.String aMessage,
                        java.lang.Throwable aCause)

  Creates a new instance of JBIException with the specified message and cause.

Parameters:
  `aMessage` - String describing this exception.
  `aCause` - Throwable which represents an underlying problem (or null).

### JBIException

    public JBIException(java.lang.Throwable aCause)

  Creates a new instance of JBIException with the specified cause.

Parameters:
  `aCause` - Throwable which represents an underlying problem (or null).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Built 06/07/2005 11:16 AM on acer (SunOS 5.9)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2005 Sun Microsystems Inc., All Rights Reserved.